<template>
    <div id="list-courses">
        <h3>List Courses component</h3>
        <button @click="getCourses">Get Courses</button>
        <ul class ="ul" v-for="(course, index) in courses" :key="index">
          <li>{{ course.name }}</li>
        </ul>
        <div>
            <p>Add Course</p>
            <input v-model="courseName">
            <button @click="ADDCOURSE_MUTATION(courseName)">Add</button>
            <p>{{ courseName }}</p>
        </div>
    </div>
</template>

<script>
import { mapState, mapActions, mapMutations } from 'vuex'

export default {
    computed: {
        ...mapState('courses', ['courses', 'courseName']),
        courseName: {
            get() {
                return this.$store.state.courses.courseName
            },
            set(value) {
                this.$store.commit('courses/updateCourseName', value)
            }
        }
    },
    methods: {
        ...mapActions('courses', ['getCourses']),
        ...mapMutations('courses', ['ADDCOURSE_MUTATION'])
    }
}
</script>

<style>

</style>